#include<iostream>
#include<stdio.h>
#include<fstream>
using namespace std;
int main()
{
	ifstream f1;f1.open("DE004.Inp");
	long long a,b,i;
	int chuc,dvi,kt=0;
	f1>>a;
	f1>>b;
	f1.close();
ofstream f2;f2.open("DE004.Out");
     if (b>=10)
{
		for (i=a;i<=b;i++)
	{
		if((i>=10)&&(i<=99))
		{
			chuc=i/10;
			dvi=i%10;
			if (chuc*dvi==2*(chuc+dvi)) 
			{
			kt=1;
			f2<<i<<" ";
		    }
		}
	}
}
if (kt==0) f2<<"-1";
f2.close();
}
